BARRYBACKUP(1)

NAME
barrybackup - Barry Project's backup program for the BlackBerry handheld

SYNOPSIS
barrybackup [-?][-d]

DESCRIPTION

barrybackup is a GUI application for backing up and restoring Blackberry handheld databases. The application allows for filtering of databases for both backup and restore, so not all databases need to be backed up at once, nor all restored. Backups and configuration files are stored by default in the user's home directory, under ~/.barry/backup/PIN. This destination can be changed in the config dialogs, per device. The backup files are compressed tarballs containing specially named files for each record of the databases.

OPTIONS

-d  --debug-output Enables low level protocol debug output written to stdout/stderr.

--display=DISPLAY
    Specify which X display to use.

-?  --help Show summary of options.

-h, --help
    Show summary of options.

TAR FORMAT
Backups are stored in tar format, compressed with gzip. Backup files are named with the following pattern:
    PIN-YYYYMMDD-HHMMSS[-tag_name].tar.gz The tag name is optional and is used to name a particular backup. Each record is appended to the tar file using the following pattern for the filename:
    DBname/RecordID RecordTypeID That is, the database name is used as the directory name, and the filename contains the record ID and record type ID separated by a space. Database names can contain spaces. Record IDs are generally unique, but not all Blackberry devices mandate this, so it is possible, but rare, to have two records in the tar file with the same filename. This is ok. The only problem you'd see is if you expanded such a tar file to a filesystem. The restore process just reads in the filename sequentially and writes them to the device, so duplicate record IDs are not a problem.

AUTHOR
barrybackup is part of the Barry project. This manual page was written by Chris Frey.

SEE ALSO

http://www.netdirect.ca/software/packages/barry